Bug 1410818 - Filter out all the host controllers (except the domain ctrl) when 'counting' how many domains there are
Summary: Filter out all the host controllers (except the domain ctrl) when 'counting' ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.7.1
Assignee: Jirka Kremser
QA Contact: Prachi
URL:
Whiteboard:
Depends On: 1410812
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-06 15:02 UTC by Satoe Imaishi
Modified: 2017-02-27 19:17 UTC (History)
7 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1410812
Environment:
Last Closed: 2017-02-27 19:17:03 UTC
Category: ---
Cloudforms Team: Middleware
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-06 15:16:25 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/baf219ddfbddce6e7eb0c22f9d0bc2604ca2fe43

commit baf219ddfbddce6e7eb0c22f9d0bc2604ca2fe43
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Wed Nov 2 17:47:53 2016 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jan 6 10:10:50 2017 -0500

    Merge pull request #12075 from Jiri-Kremser/issue-12074
    
    Middleware provider: Filtering out all the host controllers (except tâ€Ĥ
    (cherry picked from commit 13981760fcce7c162d96bb53d29419785f53ebfa)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1410818

 .../providers/hawkular/middleware_manager.rb       |  7 +-
 .../hawkular/middleware_manager/refresh_parser.rb  | 28 +++----
 .../hawkular/middleware_manager/refresher.yml      | 96 ++++++++++++++++++++++
 3 files changed, 114 insertions(+), 17 deletions(-)

Comment 5 Prachi 2017-02-20 13:38:32 UTC
This bug is verified.

1) 1) Able to get domain controller in middleware- provider

Steps

1.1) click on Domains
1.2) in feed section it is showing "master" for domain controller



2) Able to fetch the domain servers

2.1)  Click on Servers
2.2)  in feed section it is showing "master" for domain server

Comment 6 errata-xmlrpc 2017-02-27 19:17:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.